Subject: bug#29550: 27.0.50; `not-modified' should be disabled by default

From: Göktuğ Kayaalp <[email-masked]>
Date: Tue, 05 Dec 2017 13:06:18 +0300

On 2017-12-04 12:58 -05, Glenn Morris <[email-masked]> wrote:
> Previous times this came up:
> http://lists.gnu.org/archive/html/bug-gnu-emacs/2005-04/msg00182.html
> (a prolific and, err, idiosyncratic reporter)
>
> http://lists.gnu.org/archive/html/emacs-devel/2006-02/msg00414.html
> (previous maintainer)

Here we have a *maintainer* that has lost some data accidentally hitting
this key.

> http://lists.gnu.org/archive/html/emacs-devel/2006-02/msg00395.html
> (previous+N maintainer)
>
> Obviously, this calls for a poll!
>
> (Please don't have a poll.)

Why not?  It might be the case that this command has now became less
popular (for example it's not mentioned in the C-h t tutorial).  Given
how easy it's to re-enable it for its users, I see no reason for not
disabling it by default for protecting the uninitiated.  Quoting
"(emacs) Disabling":

,----
| Disabling a command means that invoking it interactively asks for
| confirmation from the user.  The purpose of disabling a command is to
| prevent users from executing it by accident; we do this for commands
| that might be confusing to the uninitiated.
`----

(on a side note, shouldn't ‘en/disable-command’ use ‘custom-file’ or
‘user-init-file’ instead of trying to locate .emacs itself?)

-- 
İ. Göktuğ Kayaalp	<http://www.gkayaalp.com/>
			 024C 30DD 597D 142B 49AC
			 40EB 465C D949 B101 2427